org.jboss.jca.as.converters

## Enum Mbean.Attribute

- java.lang.Object
- - java.lang.Enum<Mbean.Attribute>
  - - org.jboss.jca.as.converters.Mbean.Attribute

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Mbean.Attribute>
  Enclosing interface:
    Mbean

      public static enum Mbean.Attribute
      extends java.lang.Enum<Mbean.Attribute>

  Attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CODE` code tag
    `NAME` name tag
    `UNKNOWN` unknown attribute

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Mbean.Attribute` | `forName(java.lang.String localName)` Static method to get enum instance given localName XsdString
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static Mbean.Attribute` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Mbean.Attribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final Mbean.Attribute UNKNOWN

      unknown attribute

    - #### CODE

          public static final Mbean.Attribute CODE

      code tag

    - #### NAME

          public static final Mbean.Attribute NAME

      name tag

  - ### Method Detail

    - #### values

          public static Mbean.Attribute[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Mbean.Attribute c : Mbean.Attribute.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Mbean.Attribute valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Mbean.Attribute>`

    - #### forName

          public static Mbean.Attribute forName(java.lang.String localName)

      Static method to get enum instance given localName XsdString
      Parameters:
        `localName` - a XsdString used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)